Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DetachVolumeResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DetachVolumeResult

    public class DetachVolumeResult

extends Object

The result of detaching an EBS volume from an instance.

Constructor Summary
`DetachVolumeResult()`

Method Summary
`VolumeAttachment` | `getAttachment()` The updated EBS volume attachment information after trying to detach the volume from the specified instance.
`void` | `setAttachment(VolumeAttachment attachment)` The updated EBS volume attachment information after trying to detach the volume from the specified instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DetachVolumeResult` | `withAttachment(VolumeAttachment attachment)` The updated EBS volume attachment information after trying to detach the volume from the specified instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DetachVolumeResult

    public DetachVolumeResult()

Method Detail

### getAttachment

    public VolumeAttachment getAttachment()

  The updated EBS volume attachment information after trying to detach the volume from the specified instance.

  Returns:
    The updated EBS volume attachment information after trying to detach the volume from the specified instance.

### setAttachment

    public void setAttachment(VolumeAttachment attachment)

  The updated EBS volume attachment information after trying to detach the volume from the specified instance.

  Parameters:
    `attachment` - The updated EBS volume attachment information after trying to detach the volume from the specified instance.

### withAttachment

    public DetachVolumeResult withAttachment(VolumeAttachment attachment)

  The updated EBS volume attachment information after trying to detach the volume from the specified instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attachment` - The updated EBS volume attachment information after trying to detach the volume from the specified instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.